/*
 *    TestSymb.java
 *    Copyright (C) 1999 Pierre Geurts
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

import java.util.*;

public class TestSymb extends Test {
    /* index de la valeur correspondant au test */
    Vector subsetvalues;
    TestSymb(SymbAtt attsymb, Vector s) {
	Att=attsymb;
	subsetvalues=s;
	nbIssues=2;
	valuesIssues=new Vector();
	valuesIssues.addElement("yes");
	valuesIssues.addElement("no");
	TestDescription=attsymb.name + " in " + subsetvalues.toString();
    }
    
    public String TestObject(Obj o) {
	if (subsetvalues.contains(Att.Value(o)))
	    return "yes";
	else
	    return "no";
    }
    
    public String testDescription(int value) {
	if (value==0) {
	    return TestDescription;
	} else {
	    return Att.name + " not in " + subsetvalues.toString();
	}
    }
}

